import { Priority, Task, TaskStatus, UpdateTaskParams } from '../types/clickup.js';
export declare const PRIORITY_MAP: {
    [key: number]: Priority;
};
export declare function createTask(listId: string, name: string, description?: string, priority?: number, status?: string): Promise<Task>;
export declare function createSubtask(parentId: string, name: string, description?: string, priority?: number, status?: string): Promise<Task>;
export declare function listTasks(listId?: string): Promise<Task[]>;
export declare function getTask(taskId: string): Promise<Task>;
export declare function updateTask(taskId: string, updates: UpdateTaskParams): Promise<Task>;
export declare function deleteTask(taskId: string): Promise<void>;
export declare function getListStatuses(listId: string): Promise<TaskStatus[]>;
export declare function getWorkspaces(): Promise<any[]>;
export declare function getSpaces(workspaceId: string): Promise<any[]>;
export declare function getLists(spaceId: string): Promise<any[]>;
export declare function listSubtasks(taskId: string): Promise<Task[]>;
export declare function createStatus(listId: string, status: string, color: string, orderindex?: number): Promise<TaskStatus>;
export declare function updateStatus(listId: string, oldStatus: string, newStatus: string, color?: string, orderindex?: number): Promise<TaskStatus>;
export declare function deleteStatus(listId: string, status: string): Promise<void>;
